[omd-users] OMD check_mk Web Interface 500 Error On CentOS 5.8 latest OS patches

Mike Hanby mhanby at uab.edu
Fri Jun 29 19:55:21 CEST 2012


Howdy,

I'm running two OMD servers, one 0.52 the other 0.54.

Both of which had working check_mk web interfaces until I applied the latest patches for the CentOS 5.8 OS's.

I'm wondering if anyone else has experienced this, and wonder if it's related to one of these:
PHP: https://rhn.redhat.com/errata/RHSA-2012-1045.html
Python: http://rhn.redhat.com/errata/RHSA-2012-0745.html

Here are the packages that got updated, before check_mk interface worked, after it doesn't:
Jun 29 10:51:18 Updated: e2fsprogs-libs-1.39-34.el5_8.1.x86_64
Jun 29 10:51:18 Updated: expat-1.95.8-11.el5_8.x86_64
Jun 29 10:51:20 Updated: php-common-5.1.6-39.el5_8.x86_64
Jun 29 10:51:21 Updated: php-cli-5.1.6-39.el5_8.x86_64
Jun 29 10:51:22 Updated: postgresql-libs-8.1.23-5.el5_8.x86_64
Jun 29 10:51:25 Updated: php-5.1.6-39.el5_8.x86_64
Jun 29 10:51:25 Updated: php-gd-5.1.6-39.el5_8.x86_64
Jun 29 10:51:26 Updated: php-mbstring-5.1.6-39.el5_8.x86_64
Jun 29 10:51:26 Updated: php-pdo-5.1.6-39.el5_8.x86_64
Jun 29 10:51:28 Updated: e2fsprogs-1.39-34.el5_8.1.x86_64
Jun 29 10:51:28 Updated: expat-devel-1.95.8-11.el5_8.x86_64
Jun 29 10:51:30 Updated: e2fsprogs-devel-1.39-34.el5_8.1.x86_64
Jun 29 10:51:36 Updated: kernel-headers-2.6.18-308.8.2.el5.x86_64
Jun 29 10:51:56 Installed: kernel-devel-2.6.18-308.8.2.el5.x86_64
Jun 29 10:52:24 Installed: kernel-2.6.18-308.8.2.el5.x86_64
Jun 29 10:52:24 Updated: expat-1.95.8-11.el5_8.i386
Jun 29 10:52:24 Updated: e2fsprogs-libs-1.39-34.el5_8.1.i386
Jun 29 10:52:25 Updated: postgresql-libs-8.1.23-5.el5_8.i386
Jun 29 10:52:26 Updated: expat-devel-1.95.8-11.el5_8.i386
Jun 29 10:52:26 Updated: python-2.4.3-46.el5_8.2.x86_64
Jun 29 10:52:47 Updated: python-libs-2.4.3-46.el5_8.2.x86_64
Jun 29 10:52:52 Updated: python-devel-2.4.3-46.el5_8.2.x86_64
Jun 29 10:52:57 Updated: python-devel-2.4.3-46.el5_8.2.i386

And here's the relevant info from the apache error_log
[Fri Jun 29 12:46:06 2012] [error] make_obcallback: could not import mod_python.apache.\n
Traceback (most recent call last):
  File "/omd/versions/0.54/lib/python/mod_python/apache.py", line 29, in ?
    import cgi
  File "/usr/lib64/python2.4/cgi.py", line 40, in ?
    import mimetools
  File "/usr/lib64/python2.4/mimetools.py", line 6, in ?
    import tempfile
  File "/usr/lib64/python2.4/tempfile.py", line 33, in ?
    from random import Random as _Random
  File "/usr/lib64/python2.4/random.py", line 46, in ?
    from os import urandom as _urandom
ImportError: cannot import name urandom
[Fri Jun 29 12:46:06 2012] [error] make_obcallback: Python path being used "['/omd/versions/0.54/lib/python', '/omd/sites/uabgrid/lib/python', '/omd/sites/uabgrid/local/lib/python', '/usr/lib64/python24.zip', '/usr/lib64/python2.4/', '/usr/lib64/python2.4/plat-linux2', '/usr/lib64/python2.4/lib-tk', '/usr/lib64/python2.4/lib-dynload']".
[Fri Jun 29 12:46:06 2012] [error] get_interpreter: no interpreter callback found.
[Fri Jun 29 12:46:06 2012] [error] [client 127.0.0.1] python_handler: Can't get/create interpreter.
[Fri Jun 29 12:46:06 2012] [error] make_obcallback: could not import mod_python.apache.\n
Traceback (most recent call last):
  File "/omd/versions/0.54/lib/python/mod_python/apache.py", line 29, in ?
    import cgi
  File "/usr/lib64/python2.4/cgi.py", line 40, in ?
    import mimetools
  File "/usr/lib64/python2.4/mimetools.py", line 6, in ?
    import tempfile
  File "/usr/lib64/python2.4/tempfile.py", line 33, in ?
    from random import Random as _Random
  File "/usr/lib64/python2.4/random.py", line 46, in ?
    from os import urandom as _urandom
ImportError: cannot import name urandom
[Fri Jun 29 12:46:06 2012] [error] make_obcallback: Python path being used "['/omd/versions/0.54/lib/python', '/omd/sites/uabgrid/lib/python', '/omd/sites/uabgrid/local/lib/python', '/usr/lib64/python24.zip', '/usr/lib64/python2.4/', '/usr/lib64/python2.4/plat-linux2', '/usr/lib64/python2.4/lib-tk', '/usr/lib64/python2.4/lib-dynload']".
[Fri Jun 29 12:46:06 2012] [error] get_interpreter: no interpreter callback found.
[Fri Jun 29 12:46:06 2012] [error] [client 127.0.0.1] python_handler: Can't get/create interpreter.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.mathias-kettner.de/pipermail/omd-users/attachments/20120629/b7d82048/attachment.html>


More information about the omd-users mailing list